Bug 531088 - [abrt] crash detected in mail-notification-5.4-16.fc12 [PATCH]
[abrt] crash detected in mail-notification-5.4-16.fc12 [PATCH]
Status: CLOSED DUPLICATE of bug 954656
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
abrt_hash:866700e2ffcf2a76e73a90c310f...
: Triaged
: 524482 537623 538287 539456 539483 539627 539629 539984 540109 540645 541047 541487 542904 542930 543361 543462 543617 543896 544058 544606 544859 545613 547262 547273 548220 548809 550159 550202 550275 550894 550970 551208 551885 552145 552315 552678 553937 554216 555342 559748 562464 562653 565401 573051 577849 583686 586402 587064 588587 589077 590533 592263 593603 597148 605268 608565 609683 610927 612656 613295 614458 614733 614940 615975 616306 617135 619563 622027 622337 624766 626221 628150 628155 630399 635693 637637 639822 643230 643829 652589 652608 654079 656025 658112 659162 661225 662150 666741 670513 681186 682501 684223 684527 690188 695146 702783 704300 710895 720125 737601 742148 753516 756289 758514 759873 765608 784276 785064 796185 804266 810621 831524 835458 844053 847543 866179 870444 877702 879746 889990 894963 907510 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 16:40 EDT by Serge Pavlovsky
Modified: 2013-04-23 15:23 EDT (History)
82 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (23.89 KB, text/plain)
2009-10-26 16:40 EDT, Serge Pavlovsky
no flags Details
Backtrace (12.06 KB, application/octet-stream)
2010-01-05 10:56 EST, Robert Binkhorst
no flags Details
Mail Notification patch to fix crash when switching window managers. (365 bytes, patch)
2010-05-17 18:41 EDT, Mat Booth
no flags Details | Diff
Patch to add the above patch to the Mail Notification SPEC file. (1.17 KB, patch)
2010-05-17 18:42 EDT, Mat Booth
no flags Details | Diff
File: backtrace (29.11 KB, text/plain)
2012-02-29 14:52 EST, Szabo Akos
no flags Details
File: backtrace (27.29 KB, text/plain)
2012-03-12 09:13 EDT, Szabo Akos
no flags Details
File: backtrace (30.89 KB, text/plain)
2012-03-22 08:25 EDT, Patrick
no flags Details
File: backtrace (22.73 KB, text/plain)
2012-04-06 07:02 EDT, Szabo Akos
no flags Details

  None (edit)
Description Serge Pavlovsky 2009-10-26 16:40:52 EDT
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
mail-notification --sm-disable 


component
-----
mail-notification


executable
-----
/usr/bin/mail-notification


kernel
-----
2.6.31.5-96.fc12.x86_64


package
-----
mail-notification-5.4-16.fc12


reason
-----
Process was terminated by signal 11
Comment 1 Serge Pavlovsky 2009-10-26 16:40:57 EDT
Created attachment 366156 [details]
File: backtrace
Comment 2 Howard Ning 2009-11-09 16:31:38 EST
I send this Bug report, If any more info is needed , please reply!
Comment 3 Dmitry Butskoy 2009-11-10 07:34:50 EST
F12 has the same version as for the previous fedora releases, hence it could be some compilation or environment-related bug.

Unfortunately, currently I don't have any F12 system around me yet.

Does this bug appear on F11 or F10 (with the same MN config)?
Comment 4 Serge Pavlovsky 2009-11-10 17:09:11 EST
i dont have older systems
Comment 5 Howard Ning 2009-11-11 17:13:20 EST
Sometime it even eat up 100% CPU on my system.

Basically I uses a windows live mail (POP3) and Gmail.
Comment 6 Dmitry Butskoy 2009-11-12 08:23:49 EST
Well, how it is reproduced? Every time, or sometimes etc...

While upstream sleeps, we could try to locate the issue. Could you test on what mailbox type it is happen - ie. try to configure MN to use pop3 only, then gmail only etc... and see how it influences?
Comment 7 Howard Ning 2009-11-12 09:14:09 EST
(In reply to comment #6)
> Well, how it is reproduced? Every time, or sometimes etc...
> 
> While upstream sleeps, we could try to locate the issue. Could you test on what
> mailbox type it is happen - ie. try to configure MN to use pop3 only, then
> gmail only etc... and see how it influences?  

It is the Win live mail with POP3. Gmail alone seems more stable. When the WLM cannot connect or the internet drop and reconnect, I press the icon to update (I set it in the settings), then it crashes.

I searched out some ubuntu threads, they also have some instability of this piece of software.
Comment 8 Serge Pavlovsky 2009-11-12 09:37:18 EST
i dont even know when it happened, i just have record in abrt
Comment 9 Bug Zapper 2009-11-16 09:22:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Dmitry Butskoy 2009-11-20 08:12:50 EST
*** Bug 537623 has been marked as a duplicate of this bug. ***
Comment 11 Dmitry Butskoy 2009-11-20 08:18:11 EST
*** Bug 539483 has been marked as a duplicate of this bug. ***
Comment 12 Dmitry Butskoy 2009-11-20 08:18:32 EST
*** Bug 539456 has been marked as a duplicate of this bug. ***
Comment 13 Dmitry Butskoy 2009-11-20 08:19:25 EST
*** Bug 524482 has been marked as a duplicate of this bug. ***
Comment 14 Dmitry Butskoy 2009-11-20 08:26:03 EST
It seems that something goes wrong since F12, but the source is not changed comparing to F11.

We have "memory fault" errors at different code places...

I'll try to contact upstream for this issue.


Try to run MN from cmdline with malloc check set:

MALLOC_CHECK_=2 mail-notification

and provide backtrace if it aborted.

Currently no more ideas...
Comment 15 Dmitry Butskoy 2009-11-20 08:28:36 EST
*** Bug 538287 has been marked as a duplicate of this bug. ***
Comment 16 Dmitry Butskoy 2009-11-23 07:28:50 EST
*** Bug 539627 has been marked as a duplicate of this bug. ***
Comment 17 Dmitry Butskoy 2009-11-23 07:29:54 EST
*** Bug 539629 has been marked as a duplicate of this bug. ***
Comment 18 Dmitry Butskoy 2009-11-23 07:34:50 EST
*** Bug 539984 has been marked as a duplicate of this bug. ***
Comment 19 Dmitry Butskoy 2009-11-23 07:36:12 EST
*** Bug 540109 has been marked as a duplicate of this bug. ***
Comment 20 Dmitry Butskoy 2009-11-24 08:47:31 EST
*** Bug 540645 has been marked as a duplicate of this bug. ***
Comment 21 Dmitry Butskoy 2009-11-26 10:12:33 EST
*** Bug 541047 has been marked as a duplicate of this bug. ***
Comment 22 Dmitry Butskoy 2009-11-26 10:13:35 EST
*** Bug 541487 has been marked as a duplicate of this bug. ***
Comment 23 Dmitry Butskoy 2009-12-01 07:49:16 EST
*** Bug 542904 has been marked as a duplicate of this bug. ***
Comment 24 Dmitry Butskoy 2009-12-01 07:50:22 EST
*** Bug 542930 has been marked as a duplicate of this bug. ***
Comment 25 Dmitry Butskoy 2009-12-02 08:03:16 EST
*** Bug 543361 has been marked as a duplicate of this bug. ***
Comment 26 Dmitry Butskoy 2009-12-02 08:33:51 EST
*** Bug 543462 has been marked as a duplicate of this bug. ***
Comment 27 Dmitry Butskoy 2009-12-02 13:38:00 EST
*** Bug 543617 has been marked as a duplicate of this bug. ***
Comment 28 Dmitry Butskoy 2009-12-03 08:11:03 EST
*** Bug 543896 has been marked as a duplicate of this bug. ***
Comment 29 Dmitry Butskoy 2009-12-04 08:02:47 EST
*** Bug 544058 has been marked as a duplicate of this bug. ***
Comment 30 Dmitry Butskoy 2009-12-07 07:48:59 EST
*** Bug 544606 has been marked as a duplicate of this bug. ***
Comment 31 Dmitry Butskoy 2009-12-07 07:51:45 EST
*** Bug 544859 has been marked as a duplicate of this bug. ***
Comment 32 Dmitry Butskoy 2009-12-11 07:22:03 EST
*** Bug 545613 has been marked as a duplicate of this bug. ***
Comment 33 Dmitry Butskoy 2009-12-14 08:40:43 EST
*** Bug 547262 has been marked as a duplicate of this bug. ***
Comment 34 Dmitry Butskoy 2009-12-14 08:42:02 EST
*** Bug 547273 has been marked as a duplicate of this bug. ***
Comment 35 Dmitry Butskoy 2009-12-17 07:53:56 EST
*** Bug 548220 has been marked as a duplicate of this bug. ***
Comment 36 Dmitry Butskoy 2009-12-18 12:17:13 EST
*** Bug 548809 has been marked as a duplicate of this bug. ***
Comment 37 Dmitry Butskoy 2009-12-24 05:34:10 EST
*** Bug 550159 has been marked as a duplicate of this bug. ***
Comment 38 Dmitry Butskoy 2009-12-24 05:36:25 EST
*** Bug 550202 has been marked as a duplicate of this bug. ***
Comment 39 Dmitry Butskoy 2009-12-24 05:40:57 EST
There is no response from the upstream author. Hence I would recommend to swicth to gnubiff or some other mail notification tools, until someone will solve this issue.

It could be very useful if someone can run:

MALLOC_CHECK_=2 mail-notification

from cmdline, and attach gdb backtrace here...
Comment 40 Dmitry Butskoy 2009-12-24 06:00:45 EST
*** Bug 550275 has been marked as a duplicate of this bug. ***
Comment 41 Dmitry Butskoy 2009-12-28 08:46:16 EST
*** Bug 550894 has been marked as a duplicate of this bug. ***
Comment 42 Dmitry Butskoy 2009-12-28 08:46:59 EST
*** Bug 550970 has been marked as a duplicate of this bug. ***
Comment 43 Dmitry Butskoy 2009-12-29 09:00:18 EST
*** Bug 551208 has been marked as a duplicate of this bug. ***
Comment 44 Robert Binkhorst 2009-12-29 13:02:12 EST
Ok, I'm running MALLOC_CHECK_=2 mail-notification from the cmdline, will update when/if if cores again.
Comment 45 Dmitry Butskoy 2010-01-04 07:08:12 EST
*** Bug 551885 has been marked as a duplicate of this bug. ***
Comment 46 Dmitry Butskoy 2010-01-04 07:10:10 EST
*** Bug 552145 has been marked as a duplicate of this bug. ***
Comment 47 Robert Binkhorst 2010-01-05 10:55:04 EST
Not sure this is the same crash, let me know if it's not and I'll report a new bug.

rbinkhorst@buffy autofs.null.pointer.reference]$ MALLOC_CHECK_=2 mail-notification

(mail-notification:26522): GLib-GObject-CRITICAL **: g_object_class_find_property: assertion `G_IS_OBJECT_CLASS (class)' failed

(mail-notification:26522): GLib-GObject-CRITICAL **: g_param_spec_get_name: assertion `G_IS_PARAM_SPEC (pspec)' failed
Segmentation fault (core dumped)

Backtrace will be attached shortly.
Comment 48 Robert Binkhorst 2010-01-05 10:56:24 EST
Created attachment 381783 [details]
Backtrace
Comment 49 Dmitry Butskoy 2010-01-06 08:05:39 EST
*** Bug 552315 has been marked as a duplicate of this bug. ***
Comment 50 Dmitry Butskoy 2010-01-06 08:14:43 EST
*** Bug 552678 has been marked as a duplicate of this bug. ***
Comment 51 Dmitry Butskoy 2010-01-06 08:31:57 EST
For comment #47:

It is yet another SIGSEGV crash...

I hoped to catch some malloc-related bug, bu specifying MALLOC_CHECK_=2, which causes program to abort() at the appropriate peace of code. But we see SIGSEGV instead of SIGABRT... In other words, it looks like not malloc-related issue. Sad...

Any other ideas? (Upstream still stalled, other distros have no any patches for this yet...)
Comment 52 Dmitry Butskoy 2010-01-11 08:39:45 EST
*** Bug 553937 has been marked as a duplicate of this bug. ***
Comment 53 Dmitry Butskoy 2010-01-11 08:42:14 EST
*** Bug 554216 has been marked as a duplicate of this bug. ***
Comment 54 Dmitry Butskoy 2010-01-14 09:23:50 EST
*** Bug 555342 has been marked as a duplicate of this bug. ***
Comment 55 Dmitry Butskoy 2010-01-29 07:54:44 EST
*** Bug 559748 has been marked as a duplicate of this bug. ***
Comment 56 Dmitry Butskoy 2010-02-11 07:30:43 EST
*** Bug 562464 has been marked as a duplicate of this bug. ***
Comment 57 Dmitry Butskoy 2010-02-11 07:31:12 EST
*** Bug 562653 has been marked as a duplicate of this bug. ***
Comment 58 Dmitry Butskoy 2010-02-16 08:05:51 EST
*** Bug 565401 has been marked as a duplicate of this bug. ***
Comment 59 Robert Binkhorst 2010-03-04 04:15:58 EST
Would this be the same as this upstream bug:
https://bugs.launchpad.net/mail-notification/+bug/248125

--------- From upstream bug -------------
0x08074333 in mn_g_object_clone (object=0xb5f12180, property_name=0x8097939 "flags") at src/mn-util.c:1179
1179 g_value_init(&parameter->value, G_PARAM_SPEC_VALUE_TYPE(pspec));

--------- From my backtrace -------------
#0  mn_g_object_clone (object=0x12b5000, property_name=<value optimized out>)
    at src/mn-util.c:1179
1179          g_value_init(&parameter->value, G_PARAM_SPEC_VALUE_TYPE(pspec));

------------------------------------------

From the author:
"It looks like an invalid object is passed to mn_g_object_clone(), but looking at the code and at the backtrace I have no idea why. If you're able to reproduce this crash, could you please run MN from a terminal with the -i option and send me the resulting output?"

I'm also running mn with the -i flag now to gather more information on what I'm seeing.
Comment 60 Bob 2010-03-12 05:32:27 EST

Comment
-----
I think I lost network connectivity when this crashed.
Comment 61 Dmitry Butskoy 2010-03-12 12:49:41 EST
*** Bug 573051 has been marked as a duplicate of this bug. ***
Comment 62 Mike Loseke 2010-03-23 12:34:06 EDT

How to reproduce
-----
1. have mail-notification setup to check several accounts, including google mail and other IMAP accounts.
2. configure mail-notification to start on gnome session login
3. login to gnome, mail-notification will fail to connect to one or more accounts and crash
Comment 63 Dmitry Butskoy 2010-03-23 13:07:38 EDT
Thanks.

Is it a stably reproduced?

Could you report this at the upstream site? See https://bugs.launchpad.net/mail-notification/+bugs

It seems that the upstream development is stalled long ago, but such a report could help others who try to solve this issue.
Comment 64 Robert Binkhorst 2010-03-23 15:05:29 EDT
Interesting since my mail-notification just monitors a local mbox that I sync with offlineimap. And it's just one account.

I don't think my crashes have anything to do with network, IMAP or login to accounts since it also crashes on a simple local mbox. 

Having said that I have no solution either so I hope your upstream report uncovers the underlying problem. Any thoughts on the relation to the bug I mentioned before?
https://bugs.launchpad.net/mail-notification/+bug/248125
Comment 65 Dmitry Butskoy 2010-03-29 09:11:14 EDT
*** Bug 577849 has been marked as a duplicate of this bug. ***
Comment 66 David Alan Hjelle 2010-03-29 09:34:17 EDT

Comment
-----
I'm not sure if is reproducible, but I switched from a Compiz-enabled desktop to GNOME shell from the "Desktop Effects" panel, and it crashed.
Comment 67 Javier Alejandro Castro 2010-04-14 12:40:03 EDT

How to reproduce
-----
1. Do nothing


Comment
-----
Nothing, just crashed
Comment 68 afgonzaga 2010-04-16 18:54:12 EDT

Comment
-----
Switch from gnome-shell to compiz.
Comment 69 Dmitry Butskoy 2010-04-19 08:29:35 EDT
*** Bug 583686 has been marked as a duplicate of this bug. ***
Comment 70 Dmitry Butskoy 2010-04-27 09:39:07 EDT
*** Bug 586402 has been marked as a duplicate of this bug. ***
Comment 71 Dmitry Butskoy 2010-04-29 05:28:15 EDT
*** Bug 587064 has been marked as a duplicate of this bug. ***
Comment 72 Dmitry Butskoy 2010-05-04 08:08:02 EDT
*** Bug 588587 has been marked as a duplicate of this bug. ***
Comment 73 Dmitry Butskoy 2010-05-05 08:23:03 EDT
*** Bug 589077 has been marked as a duplicate of this bug. ***
Comment 74 Dmitry Butskoy 2010-05-11 07:37:02 EDT
*** Bug 590533 has been marked as a duplicate of this bug. ***
Comment 75 Mat Booth 2010-05-16 10:58:32 EDT
Package: mail-notification-5.4-18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I used the desktop effects dialog to switch from compiz to gnome shell.
Comment 76 Mat Booth 2010-05-16 11:08:30 EDT
Package: mail-notification-5.4-18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Seems to happen if you mess about changing desktop effects settings for long enough.
Comment 77 Mat Booth 2010-05-16 11:10:50 EDT
Changing to F13: This is definitely still present in the current release.
Comment 78 Mat Booth 2010-05-16 11:26:32 EDT
Ok, I can reliably duplicate it:

I start off in compiz mode. I have configured it to check a single GMail account and there is one unread message in my inbox. I have the click action configured to update the status:

System --> Prefs --> Mail Notification --> Status Icon --> Click Action --> Update the mail status

The icon should be in the notification area showing one unread message.

Now switch from compiz to gnome-shell. After it changes, click on the mail-notification icon. Bam! Crashes every time.
Comment 79 Mat Booth 2010-05-16 17:05:59 EDT
This is where it crashes:

Thread 1 (Thread 2476):
#0  mn_mail_icon_set_tip_widget (self=0x0, tip_widget=0x1afe320 [GtkVBox])
    at build/src/mn-mail-icon.c:789
No locals.
#1  0x0000000000425de5 in mn_shell_update_tooltip (self=0x1947110 [MNShell])
    at build/src/mn-shell.c:1065
        vbox = 0x1afe320 [GtkVBox]

From what I can see, mn_shell_update_tooltip() passes self->icon into mn_mail_icon_set_tip_widget() and after you change desktop modes from gnome-shell to compiz or the other way round, self->icon is always null. I've tried checking for null, but that just feels like a band-aid to cover up something more fundamental and I lack the ability to debug this further. All the GObject stuff is popping my head. :-(
Comment 80 Dmitry Butskoy 2010-05-17 08:13:50 EDT
*** Bug 592263 has been marked as a duplicate of this bug. ***
Comment 81 Mat Booth 2010-05-17 18:25:38 EDT
Right, so just spent another couple of hours slaving over a hot debugger trying to figure this out. I apologise in advance for incorrect or confusing terminology -- this is absolutely my first exposure to raw GTK and GObject.

Here's what I think is happening:

1. The icon is created and mn_shell->icon is a pointer to it. That is made a weak reference.

2. When you switch window managers between compiz and gnome-shell, the mail-notification applet is terminated (we get a destroy signal from the icon.) This doesn't happen when switching between metacity and compiz. Don't ask me why.

3. In the handler for the destroy signal, we just go right ahead and construct another icon. The mn_shell->icon pointer now points to our new icon. This seems to work fine (the applet reappears in the new window manager.) 

4. In the mean time, GTK queues up a delete event to dispose of the old icon in the event dispatch thread. This tries to nullify all the weak references to the old icon, which of course includes mn_shell->icon that now points to our new icon. Disaster! The pointer to the new icon is now null, so all further updates fail in obvious spectacular fashion. See stack traces above, etc.

Now I just need to figure out how to fix it...
Comment 82 Mat Booth 2010-05-17 18:40:28 EDT
Ok, that was easier than I thought it would be (thank the gods!)

Please find attached a new mail-notification patch and a patch for your SPEC file.

This works for me, please give it try and see if it works for you. :-)
Comment 83 Mat Booth 2010-05-17 18:41:24 EDT
Created attachment 414679 [details]
Mail Notification patch to fix crash when switching window managers.
Comment 84 Mat Booth 2010-05-17 18:42:00 EDT
Created attachment 414680 [details]
Patch to add the above patch to the Mail Notification SPEC file.
Comment 85 Mat Booth 2010-05-17 18:48:12 EDT
Just in case it matters, these patches are against the F-13 branch.
Comment 86 Alan M. Evans 2010-05-19 12:28:09 EDT
For what it's worth, the applet was crashing on me constantly back when I was still trying to use it. (long time ago) I only use Gnome, never Compiz. So whatever Mat Booth may have just fixed is probably not what brought me to this bugzilla.
Comment 87 Mat Booth 2010-05-20 05:04:09 EDT
(In reply to comment #86)
> For what it's worth, the applet was crashing on me constantly back when I was
> still trying to use it. (long time ago) I only use Gnome, never Compiz. So
> whatever Mat Booth may have just fixed is probably not what brought me to this
> bugzilla.    


The patch I have attached to this ticket should fix the problem originally reported.

It's probably just coincidence that the crash can be reproduced by switching window managers -- I've got no idea what other circumstances can cause GNOME to dispose a tray icon.

So once again, I'd appreciate it if someone can try my patch. I can build and host an RPM, if anybody would like.
Comment 88 Alan M. Evans 2010-05-20 13:35:54 EDT
If an RPM could be made for F12, I'd be willing to give it a try. It won't take me long to discover whether the crash I was experiencing is still happening.
Comment 89 Mat Booth 2010-05-20 14:52:48 EDT
(In reply to comment #88)
> If an RPM could be made for F12, I'd be willing to give it a try. It won't take
> me long to discover whether the crash I was experiencing is still happening.    

Please pick your architecture from this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2199851

Note that I don't have any F12 boxes, so I haven't tested this build myself.
Comment 90 Dmitry Butskoy 2010-05-24 08:39:10 EDT
*** Bug 593603 has been marked as a duplicate of this bug. ***
Comment 91 Dmitry Butskoy 2010-05-24 12:18:42 EDT
A build for F13 is ready:
http://kojipkgs.fedoraproject.org/packages/mail-notification/5.4/20.fc13/

It includes Mat Booth's patch as well.

Please check whether it improves the situation for F13 or not.
Comment 92 Mat Booth 2010-05-24 13:46:29 EDT
(In reply to comment #91)
> A build for F13 is ready:
> http://kojipkgs.fedoraproject.org/packages/mail-notification/5.4/20.fc13/
> 
> It includes Mat Booth's patch as well.
> 
> Please check whether it improves the situation for F13 or not.    

Thanks for applying my patch. That build has fixed the compiz->gnome-shell crash on F13 for me. :-)
Comment 93 Brian Millett 2010-05-31 22:27:42 EDT
Package: mail-notification-5.4-18.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.update the applet
2.
3.
Comment 94 Dmitry Butskoy 2010-06-02 07:47:20 EDT
*** Bug 597148 has been marked as a duplicate of this bug. ***
Comment 95 Dmitry Butskoy 2010-06-17 10:32:39 EDT
*** Bug 605268 has been marked as a duplicate of this bug. ***
Comment 96 Mark 2010-06-21 17:27:15 EDT
Package: mail-notification-5.4-20.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Apparently, mail-notification crashed as it was autopatically checking for new mail.
Comment 97 Mark 2010-06-23 10:10:48 EDT
Package: mail-notification-5.4-20.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I have the mail-notification to check for new mail when clicking the tray icon.  I click the tray icon to check for new mail, and it crashes.
Comment 98 Bob 2010-06-28 03:35:02 EDT
Package: mail-notification-5.4-20.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Had received one message and read it.  I think that another message came in soon after that.  Around that time mail-notification crashed.
Comment 99 Dmitry Butskoy 2010-06-28 06:32:56 EDT
*** Bug 608565 has been marked as a duplicate of this bug. ***
Comment 100 Mark 2010-06-28 20:01:03 EDT
Package: mail-notification-5.4-20.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
mail-notification just crashed.
Comment 101 Mark 2010-06-28 20:44:07 EDT
Package: mail-notification-5.4-20.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Crashed doing automatic mail check.
Comment 102 Mat Booth 2010-06-29 11:40:47 EDT
Bug 605268 and bug 597148 are crashes in mn_shell_unix_quit_signal_watch_cb whereas this bug was a crash in mn_mail_icon_set_tip_widget. Are you sure they are duplicates of this one?
Comment 103 Dmitry Butskoy 2010-06-29 13:47:15 EDT
This bug ticket collects all the crashes. According to all the backtraces, there are a lot of places where it happens.

Upstream still stalled.
Comment 104 Dmitry Butskoy 2010-07-01 07:22:59 EDT
*** Bug 609683 has been marked as a duplicate of this bug. ***
Comment 105 Dmitry Butskoy 2010-07-05 07:38:17 EDT
*** Bug 610927 has been marked as a duplicate of this bug. ***
Comment 106 Mark 2010-07-06 10:16:19 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
mail-notification crashed again, doing an automatic mail check.  I have it checking 5 custom smtp (pop) mail accounts, no gmail.
Comment 107 Mark 2010-07-08 11:56:59 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
mail-notification crashed while doing the automatic check.
Comment 108 Dmitry Butskoy 2010-07-08 14:27:41 EDT
*** Bug 612656 has been marked as a duplicate of this bug. ***
Comment 109 Mark 2010-07-09 16:54:03 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Logged into Gnome.  I think it crashed doing an automatic mail check.
Comment 110 Dmitry Butskoy 2010-07-12 07:45:38 EDT
*** Bug 613295 has been marked as a duplicate of this bug. ***
Comment 111 Mark 2010-07-12 12:18:20 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Automatic check.
Comment 112 Mark 2010-07-12 13:23:37 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Automatic check.
Comment 113 Dmitry Butskoy 2010-07-14 10:33:15 EDT
*** Bug 614458 has been marked as a duplicate of this bug. ***
Comment 114 Dmitry Butskoy 2010-07-15 07:56:36 EDT
*** Bug 614733 has been marked as a duplicate of this bug. ***
Comment 115 Mark 2010-07-15 10:31:14 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Crashed on automatic smtp mail check.
Comment 116 Dmitry Butskoy 2010-07-15 11:32:25 EDT
*** Bug 614940 has been marked as a duplicate of this bug. ***
Comment 117 Mark 2010-07-18 00:21:15 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Crashed again doing an automatic mail check on 5 POP smtp mail accounts.
Comment 118 Dmitry Butskoy 2010-07-19 08:34:40 EDT
*** Bug 615975 has been marked as a duplicate of this bug. ***
Comment 119 Dmitry Butskoy 2010-07-20 08:15:45 EDT
*** Bug 616306 has been marked as a duplicate of this bug. ***
Comment 120 Dmitry Butskoy 2010-07-22 06:54:28 EDT
*** Bug 617135 has been marked as a duplicate of this bug. ***
Comment 121 Dmitry Butskoy 2010-07-30 07:19:57 EDT
*** Bug 619563 has been marked as a duplicate of this bug. ***
Comment 122 Jeffrey D. Yuille 2010-07-31 22:33:47 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Restart the computer
2. When the desktop appears, the mai-notification icon will appear on the toolbar, but it will be blinking. 
3.
Comment 123 Dmitry Butskoy 2010-08-09 12:38:37 EDT
*** Bug 622337 has been marked as a duplicate of this bug. ***
Comment 124 Dmitry Butskoy 2010-08-09 12:39:53 EDT
*** Bug 622027 has been marked as a duplicate of this bug. ***
Comment 125 Szabo Akos 2010-08-12 09:22:12 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Inet comes back, mail-notification go away
2.
3.
Comment 126 Mark 2010-08-12 10:13:46 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Another mail-notificaton crash.
Comment 127 Dmitry Butskoy 2010-08-18 07:47:19 EDT
*** Bug 624766 has been marked as a duplicate of this bug. ***
Comment 128 Dmitry Butskoy 2010-08-23 08:41:27 EDT
*** Bug 626221 has been marked as a duplicate of this bug. ***
Comment 129 Mark 2010-08-23 12:49:31 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Automatic mail check.
Comment 130 Mark 2010-08-26 10:32:43 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Crash on automatic check.
Comment 131 Szabo Akos 2010-08-27 05:55:07 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Network gone, mail-notification too
2.
3.
Comment 132 Szabo Akos 2010-08-28 15:14:25 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start mail-notification
2.restart Networkmanager
3.click update
Comment 133 Bob 2010-08-29 06:20:48 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Internet connection was dropped.  Satellite ISP.
2.
3.
Comment 134 Dmitry Butskoy 2010-08-30 08:25:26 EDT
*** Bug 628150 has been marked as a duplicate of this bug. ***
Comment 135 Dmitry Butskoy 2010-08-30 08:26:00 EDT
*** Bug 628155 has been marked as a duplicate of this bug. ***
Comment 136 Szabo Akos 2010-08-30 16:19:52 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start mail-notification
2.restart Networkmanager
3.click update
Comment 137 Szabo Akos 2010-09-03 17:07:16 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.net comes mail-notification gone
2.
3.
Comment 138 Dmitry Butskoy 2010-09-06 08:56:57 EDT
*** Bug 630399 has been marked as a duplicate of this bug. ***
Comment 139 Szabo Akos 2010-09-07 08:09:47 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start program, with no  net
2.Turn on net
3.
Comment 140 Bob 2010-09-09 17:05:02 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Crashed while I was away.  Satellite ISP may have dropped connection.
Comment 141 Szabo Akos 2010-09-10 10:06:05 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Notbook is comes back from hibernate
2. Net is becomes available
3. mail-notification gone
Comment 142 Daniel A. van der Geest 2010-09-13 04:49:43 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Bug before and after upgrade from Fedora 10 to 13.
Comment 143 Dmitry Butskoy 2010-09-20 10:36:03 EDT
*** Bug 635693 has been marked as a duplicate of this bug. ***
Comment 144 Michal Nowak 2010-09-22 03:09:11 EDT
Dmitry: What about the patch Mat posted? Are you going to apply it? Seems it may help with at least some crashes.
Comment 145 Michal Nowak 2010-09-22 03:11:52 EDT
Ahh, sorry it seems we have it, I should have looked into spec file first.
Comment 146 Ian Lance Taylor 2010-09-22 09:18:23 EDT
I've configured mail-notification to check a single local Maildir directory.  I never change between compiz and gnome-shell.  I never click on the tray icon.  In fact, I never do anything relevant at all.  The crash normally happens when I'm asleep and not using the computer.  I get up in the morning and see the crash report.  This has happened across several releases, though it does seem to crash slightly less often now (F12 on x86_64).

It is possible that the network goes down and comes back up when the crash occurs.  It's certainly not related to any user action on my part.
Comment 147 Michal Nowak 2010-09-22 09:30:30 EDT
I am seeing it every new start of OS - my theory is that mail-notification checks email sooner that wi-fi connection is established (m-n should probably ask NetworkManager for connection information status first), and then crashes.
Comment 148 Mat Booth 2010-09-22 09:50:31 EDT
(In reply to comment #144)
> Dmitry: What about the patch Mat posted? Are you going to apply it? Seems it
> may help with at least some crashes.

My patch has been applied. It fixed the nautilus->gnome-shell crash. Unfortunately I haven't been able to reproduce any other crash. It never crashes for me now... :-/
Comment 149 Bob 2010-09-25 05:45:51 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Internet connection may have dropped.
2.
3.
Comment 150 Bob 2010-09-27 05:39:16 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Crashed around the time that the Gnome desktop loaded after login.
2.
3.
Comment 151 Dmitry Butskoy 2010-09-27 09:39:19 EDT
*** Bug 637637 has been marked as a duplicate of this bug. ***
Comment 152 maxime.tierre 2010-09-28 09:12:21 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
message name resolition impossible (use pop.free.fr) with a wifi connection
Comment 153 Dmitry Butskoy 2010-10-04 07:52:48 EDT
*** Bug 639822 has been marked as a duplicate of this bug. ***
Comment 154 Russell Odom 2010-10-06 04:53:36 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Apparently due to a DNS issue on boot
Comment 155 Cord Kielhorn 2010-10-07 15:08:45 EDT
Package: mail-notification-5.4-21.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Mail-notification crashed while  trying to update after a DNS misconfiguration
2.
3.
Comment 156 Bob 2010-10-08 10:19:50 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Satellite ISP was not operational.
2.Internet connection was restored.
3.Crash happened within 1 or 2 minutes of restored connection.
Comment 157 Bob 2010-10-09 18:17:19 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Machine was idle.  Satellite ISP may have had an interrupt.
2.
3.
Comment 158 Erik van Pienbroek 2010-10-11 14:00:50 EDT
I just tried to investigate this bug. I'm only using the evolution backend of mail-notification and not encountering the crashes mentioned in this bug report.

Could somebody who can reproduce this crash perform the following command:
MALLOC_CHECK_=2 G_SLICE=always-malloc G_DEBUG=fatal-criticals mail-notification
When the program crashes a new stacktrace should be generated by abrt. Please add this new stacktrace to this bug report.

Further I would like you know more about how you people have configured mail-notification. What type of accounts are configured, the number of mailboxes and the number of unread mails which are in those mailboxes at the moment of the crash
Comment 159 ssabchew 2010-10-12 13:06:03 EDT
Package: mail-notification-5.4-21.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start KDE4
2.
3.
Comment 160 Erik van Pienbroek 2010-10-15 05:43:42 EDT
Could anybody who's having this problem please execute the following command and report back the output once the program has crashed:

MALLOC_CHECK_=2 G_SLICE=always-malloc G_DEBUG=fatal-criticals mail-notification --enable-info

Thanks in advance
Comment 161 Dmitry Butskoy 2010-10-15 08:29:56 EDT
*** Bug 643230 has been marked as a duplicate of this bug. ***
Comment 162 Michal Nowak 2010-10-17 13:36:31 EDT
(In reply to comment #160)
> Could anybody who's having this problem please execute the following command
> and report back the output once the program has crashed:
> 
> MALLOC_CHECK_=2 G_SLICE=always-malloc G_DEBUG=fatal-criticals mail-notification
> --enable-info
> 
> Thanks in advance

newman ~ $ MALLOC_CHECK_=2 G_SLICE=always-malloc G_DEBUG=fatal-criticals mail-notification 
Segmentation fault (core dumped)

Sorry...

How to reproduce: Disconnect from internet, start m-n, m-n shows it can't connect to remote servers (e.g. IMAP), turn connection on, select "Update" from m-n applets's context menu -> crash. Reproducible for you?
Comment 163 Dmitry Butskoy 2010-10-18 08:44:03 EDT
*** Bug 643829 has been marked as a duplicate of this bug. ***
Comment 164 jendrik 2010-10-20 03:07:38 EDT
Package: mail-notification-5.4-16.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. could not retrieve emails, hostname resolution failed (because of no internet connection)
2. press update
3. nothing happend, until it crashes
Comment 165 Michal Nowak 2010-10-20 04:15:31 EDT
Any viable option to m-n (except gnu-biff)?
Comment 166 Szabo Akos 2010-10-20 15:59:30 EDT
Package: mail-notification-5.4-16.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Net come back
2.
3.
Comment 167 Ian Lance Taylor 2010-10-23 00:24:08 EDT
I ran the command

MALLOC_CHECK_=2 G_SLICE=always-malloc G_DEBUG=fatal-criticals mail-notification

It crashed after several days, saying

GLib-GObject-CRITICAL **: g_object_class_find_property: assertion `G_IS_OBJECT_CLASS (class)' failed

I've appended the backtraces from the core file.  I'll save the core file for a while in case it can provide any more information.

I configured mail-notification to read a single mailbox in the Maildir format.  I don't know how many messages were in the mailbox at the point when mail-notification crashed; it was somewhere between 0 and 110.


Thread 4 (Thread 10101):
#0  0x00000035b7ad5353 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035b963ca0c in g_main_context_poll (context=0x1316c10, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0x1316c10, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2586
#3  0x00000035b963d075 in IA__g_main_loop_run (loop=0x131eb90) at gmain.c:2799
#4  0x00000035c3247560 in link_io_thread_fn (data=<value optimized out>)
    at linc.c:396
#5  0x00000035b9662134 in g_thread_create_proxy (data=0x12d0d40)
    at gthread.c:635
#6  0x00000035b8606a3a in start_thread (arg=0x7f54c34f5710)
    at pthread_create.c:297
#7  0x00000035b7ade77d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 3 (Thread 10099):
#0  0x00000035b7ad5353 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035b963ca0c in g_main_context_poll (context=0x1279f00, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0x1279f00, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2586
#3  0x00000035b963d075 in IA__g_main_loop_run (loop=0x128b680) at gmain.c:2799
#4  0x000000352334beb7 in IA__gtk_main () at gtkmain.c:1218
#5  0x000000000042c0a1 in main (argc=<value optimized out>, 
    argv=<value optimized out>) at src/mn-main.c:542

Thread 2 (Thread 11880):
#0  0x00000035b7ad5353 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035c962c73f in poll_func (ufds=0x1433850, nfds=2, timeout=-1, 
    userdata=0x1360cd0) at pulse/thread-mainloop.c:75
#2  0x00000035c961cae6 in pa_mainloop_poll (m=0x1546350)
    at pulse/mainloop.c:879
#3  0x00000035c961dea9 in pa_mainloop_iterate (m=0x1546350, 
    block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x00000035c961df60 in pa_mainloop_run (m=0x1546350, retval=0x0)
    at pulse/mainloop.c:979
#5  0x00000035c962c64b in thread (userdata=0x14557b0)
    at pulse/thread-mainloop.c:94
#6  0x00000035ca238838 in internal_thread_func (userdata=0x13f1dd0)
    at pulsecore/thread-posix.c:72
#7  0x00000035b8606a3a in start_thread (arg=0x7f54b9fae710)
    at pthread_create.c:297
#8  0x00000035b7ade77d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 19875):
#0  0x00000035b7a326c5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00000035b7a33ea5 in abort () at abort.c:92
#2  0x00000035b964344a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, args1=
    0x7f54c3ef59b0) at gmessages.c:549
#3  0x00000035b96434e3 in IA__g_log (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>)
    at gmessages.c:569
#4  0x00000035b9e0efcf in IA__g_object_class_find_property (class=0x1279f00, 
    property_name=0x45079e "uri") at gobject.c:511
#5  0x000000000042d5d3 in mn_g_object_clone (object=0x15728e0, property_name=
    0x45079e "uri") at src/mn-util.c:1173
#6  0x000000000043e596 in mn_vfs_message_new_from_message (message=0x15728e0, 
    dir_uri=<value optimized out>, filename=<value optimized out>, flags=
    MN_MESSAGE_NEW) at build/src/mn-vfs-message.c:265
#7  0x0000000000431e03 in mn_maildir_mailbox_backend_scan_directory (self=
    0x128b440 [MNMaildirMailboxBackend], check_id=1875, 
    dir=<value optimized out>, new=1, messages=<value optimized out>, 
    num_errors=<value optimized out>, err=0x7f54c3ef5cf8)
    at build/src/mn-maildir-mailbox-backend.c:294
#8  0x0000000000432154 in ___7_mn_maildir_mailbox_backend_check (backend=
    0x128b440 [MNMaildirMailboxBackend], check_id=1875)
    at build/src/mn-maildir-mailbox-backend.c:378
#9  0x0000000000443076 in ___d_mn_vfs_mailbox_reentrant_check (mailbox=
    0x12f2d60 [MNCustomVFSMailbox], check_id=1875)
    at build/src/mn-vfs-mailbox.c:651
#10 0x00000000004422f4 in mn_reentrant_mailbox_reentrant_check (info=0x156cee0)
    at build/src/mn-reentrant-mailbox.c:271
#11 mn_reentrant_mailbox_check_thread_cb (info=0x156cee0)
    at build/src/mn-reentrant-mailbox.c:246
#12 0x00000035b9662134 in g_thread_create_proxy (data=0x13c7380)
    at gthread.c:635
#13 0x00000035b8606a3a in start_thread (arg=0x7f54c3ef6710)
    at pthread_create.c:297
#14 0x00000035b7ade77d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()
Comment 168 Philippe Leclercq 2010-10-31 18:28:22 EDT
Package: mail-notification-5.4-16.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Comment 169 Szabo Akos 2010-11-01 03:46:22 EDT
Package: mail-notification-5.4-16.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Star program woth session startup
2. dhcp ip request takes too much time
3. mail-notification crash
Comment 170 Michal Nowak 2010-11-01 04:29:06 EDT
Just updated to F-14 and m-n is not crashing on every login as it used to. Perhaps update for other Fedora versions is a good idea.
Comment 171 Szabo Akos 2010-11-01 04:41:50 EDT
Thanks for the info, I give it a try!
Comment 172 Dmitry Butskoy 2010-11-12 07:59:26 EST
*** Bug 652589 has been marked as a duplicate of this bug. ***
Comment 173 Dmitry Butskoy 2010-11-12 07:59:55 EST
*** Bug 652608 has been marked as a duplicate of this bug. ***
Comment 174 Dmitry Butskoy 2010-11-17 08:53:27 EST
*** Bug 654079 has been marked as a duplicate of this bug. ***
Comment 175 Eric Liger 2010-11-20 08:46:21 EST
Package: mail-notification-5.4-25.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Démarrage du pc
2.
3.
Comment 176 Dmitry Butskoy 2010-11-23 08:07:31 EST
*** Bug 656025 has been marked as a duplicate of this bug. ***
Comment 177 Dmitry Butskoy 2010-11-29 08:43:31 EST
*** Bug 658112 has been marked as a duplicate of this bug. ***
Comment 178 Dmitry Butskoy 2010-12-02 07:53:53 EST
*** Bug 659162 has been marked as a duplicate of this bug. ***
Comment 179 Dmitry Butskoy 2010-12-08 09:18:05 EST
*** Bug 661225 has been marked as a duplicate of this bug. ***
Comment 180 Dmitry Butskoy 2010-12-10 14:02:47 EST
*** Bug 662150 has been marked as a duplicate of this bug. ***
Comment 181 Szabo Akos 2010-12-10 15:58:37 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Come back from suspend
2. net come back
3. crash
Comment 182 Fred 2010-12-15 00:36:16 EST
Package: mail-notification-5.4-25.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Went into screensaver
2. had crashed when I got back


Comment
-----
Maybe pc went to suspend which created network disconnect. I notice mail-notification crashes a lot when there is no network.
Comment 183 Eric Liger 2010-12-21 14:30:45 EST
Package: mail-notification-5.4-25.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Demarrage du pc
2.
3.
Comment 184 Szabo Akos 2011-01-03 08:32:58 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. net go
2.net come
3.
Comment 185 Ray Mansour 2011-01-03 13:32:49 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.boot
2.
3.
Comment 186 Szabo Akos 2011-01-05 04:01:06 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start program
2. no net connection
3. force update
Comment 187 Dmitry Butskoy 2011-01-05 08:33:02 EST
*** Bug 666741 has been marked as a duplicate of this bug. ***
Comment 188 Szabo Akos 2011-01-11 07:44:40 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. net go net come
2.
3.
Comment 189 Dmitrij Rebrov 2011-01-15 06:33:10 EST
Package: mail-notification-5.4-25.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. i connected PC to internet
2. pressed "Update" in mail notification icon
3. crash message appeared
Comment 190 Dmitry Butskoy 2011-01-18 09:49:41 EST
*** Bug 670513 has been marked as a duplicate of this bug. ***
Comment 191 Szabo Akos 2011-01-26 08:26:08 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. net down
2. net come too connect
3. crash


Comment
-----
as usual :(
Comment 192 Szabo Akos 2011-01-30 17:01:48 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Net connection flapping
2.
3.
Comment 193 John Williams 2011-01-31 20:07:32 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.It just happened in the backgound
2.
3.
Comment 194 Markus Schulze 2011-02-01 11:56:29 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. not sure... just loged on, the crash happened after some seconds...
Comment 195 Ronald Canete 2011-02-03 01:23:08 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. that's it... crash..
2.
3.
Comment 196 Szabo Akos 2011-02-10 07:21:10 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Can't connect to imap server
2.
3.


Comment
-----
Connect to  imap server disabled by firewall, mail-notification crashed
Comment 197 myemail 2011-02-15 12:38:48 EST
Package: mail-notification-5.4-25.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.unknown
2.
3.
Comment 198 Fedora Update System 2011-02-17 12:36:46 EST
mail-notification-5.4-26.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mail-notification-5.4-26.fc14
Comment 199 Fedora Update System 2011-02-25 22:57:41 EST
mail-notification-5.4-26.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 200 Dmitry Butskoy 2011-03-01 06:58:32 EST
*** Bug 681186 has been marked as a duplicate of this bug. ***
Comment 201 Dmitry Butskoy 2011-03-09 08:03:44 EST
*** Bug 682501 has been marked as a duplicate of this bug. ***
Comment 202 Dmitry Butskoy 2011-03-11 09:26:30 EST
*** Bug 684223 has been marked as a duplicate of this bug. ***
Comment 203 Dmitry Butskoy 2011-03-14 09:52:19 EDT
*** Bug 684527 has been marked as a duplicate of this bug. ***
Comment 204 Dmitry Butskoy 2011-03-23 10:48:06 EDT
*** Bug 690188 has been marked as a duplicate of this bug. ***
Comment 205 Dmitry Butskoy 2011-04-11 07:22:26 EDT
*** Bug 695146 has been marked as a duplicate of this bug. ***
Comment 206 Mircea Sava 2011-04-25 09:09:46 EDT
Package: mail-notification-5.4-26.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a HD 720p BDRip with VLC
2. Crash
3.
Comment 207 Szabo Akos 2011-04-28 09:22:30 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just connect to net, with local dns
2.
3.


Comment
-----
The inet connection not worked, because I've not dns recursor. I started one, and mail-notification goes to death
Comment 208 Szabo Akos 2011-04-30 05:34:07 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. come back from suspend
2.
3.
Comment 209 Dmitry Butskoy 2011-05-10 09:03:54 EDT
*** Bug 702783 has been marked as a duplicate of this bug. ***
Comment 210 Dmitry Butskoy 2011-05-12 14:07:40 EDT
*** Bug 704300 has been marked as a duplicate of this bug. ***
Comment 211 Szabo Akos 2011-05-15 14:42:06 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Come back from hibernate
2. connect to net
3. crash
Comment 212 Manuel Rodríguez Rodríguez 2011-05-21 09:01:49 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
Estaba instalando OpenSuse en una máquina virtual con VMware Player.
Comment 213 Bug Zapper 2011-06-02 13:33:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 214 Szabo Akos 2011-06-02 14:30:13 EDT
Please do not close this bug! It can be reproduce in the Fedora 14 too!
Comment 215 Dmitry Butskoy 2011-06-06 07:28:26 EDT
*** Bug 710895 has been marked as a duplicate of this bug. ***
Comment 216 Szabo Akos 2011-06-14 11:17:11 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. changing wifi interface IP address
2.
3.
Comment 217 Szabo Akos 2011-06-28 09:59:43 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. The usual. Net goes, net come, crash
2.
3.
Comment 218 Szabo Akos 2011-07-02 05:18:11 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just click to  upgrade, upgrade, upgrade, and crash
2.
3.
Comment 219 Ray Mansour 2011-07-07 22:28:35 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.surfing net
2.
3.
Comment 220 Dmitry Butskoy 2011-07-11 08:13:02 EDT
*** Bug 720125 has been marked as a duplicate of this bug. ***
Comment 221 Szabo Akos 2011-07-20 12:54:25 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. just crash nothing extraordinary
2.
3.
Comment 222 maxime.tierre 2011-07-23 14:44:19 EDT
Package: mail-notification-5.4-41.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
during an update with no mail box configured
Comment 223 Szabo Akos 2011-08-09 15:05:30 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Remove unused wireless module
2. no net, crash
3.
Comment 224 Szabo Akos 2011-08-09 15:08:33 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. PC come back from suspend
2. Net come back
3. mail-notification crash
Comment 225 Szabo Akos 2011-08-12 17:38:03 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. net goes, net come
2. crash
3.
Comment 226 sly 2011-09-07 09:44:01 EDT
Package: mail-notification-5.4-41.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
i don't know why or how it crashed
Comment 227 sly 2011-09-07 09:44:29 EDT
Package: mail-notification-5.4-41.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know how it crashed
Comment 228 Dmitry Butskoy 2011-09-12 13:04:13 EDT
*** Bug 737601 has been marked as a duplicate of this bug. ***
Comment 229 Szabo Akos 2011-09-22 07:08:21 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. using net 
2. suspend, go other place
3. using net, changing ISP
Comment 230 Dmitry Butskoy 2011-09-29 09:09:56 EDT
*** Bug 742148 has been marked as a duplicate of this bug. ***
Comment 231 Szabo Akos 2011-10-24 16:07:35 EDT
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. using net 
2. suspend, go other place
3. using net, changing ISP
Comment 232 Caio Cezar Zapater de Souza 2011-11-11 15:08:42 EST
Package: mail-notification-5.4-45.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Editing a gmail account
Comment 233 Dmitry Butskoy 2011-11-14 08:06:00 EST
*** Bug 753516 has been marked as a duplicate of this bug. ***
Comment 234 Dmitry Butskoy 2011-11-23 07:44:20 EST
*** Bug 756289 has been marked as a duplicate of this bug. ***
Comment 235 Szabo Akos 2011-11-26 16:32:07 EST
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. using a wlan
2. suspend
3. using another wlan, crash
Comment 236 Dmitry Butskoy 2011-11-30 08:03:45 EST
*** Bug 758514 has been marked as a duplicate of this bug. ***
Comment 237 Szabo Akos 2011-12-01 06:27:30 EST
Package: mail-notification-5.4-26.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just turn on computer, and using
2. crash
3.


Comment
-----
i don't have any inet access at this time.
Comment 238 Dmitry Butskoy 2011-12-05 07:12:58 EST
*** Bug 759873 has been marked as a duplicate of this bug. ***
Comment 239 Dmitry Butskoy 2011-12-09 08:05:20 EST
*** Bug 765608 has been marked as a duplicate of this bug. ***
Comment 240 Dmitry Butskoy 2012-01-24 09:15:09 EST
*** Bug 784276 has been marked as a duplicate of this bug. ***
Comment 241 Dmitry Butskoy 2012-01-27 07:14:20 EST
*** Bug 785064 has been marked as a duplicate of this bug. ***
Comment 242 Dmitry Butskoy 2012-02-22 07:59:05 EST
*** Bug 796185 has been marked as a duplicate of this bug. ***
Comment 243 Szabo Akos 2012-02-29 14:52:12 EST
Come back from sleep, crash

backtrace_rating: 4
Package: mail-notification-5.4-48.fc16
OS Release: Fedora release 16 (Verne)
Comment 244 Szabo Akos 2012-02-29 14:52:40 EST
Created attachment 566627 [details]
File: backtrace
Comment 245 Szabo Akos 2012-03-12 09:13:29 EDT
Try to using without net

backtrace_rating: 4
Package: mail-notification-5.4-48.fc16
OS Release: Fedora release 16 (Verne)
Comment 246 Szabo Akos 2012-03-12 09:13:59 EDT
Created attachment 569388 [details]
File: backtrace
Comment 247 Dmitry Butskoy 2012-03-19 09:05:01 EDT
*** Bug 804266 has been marked as a duplicate of this bug. ***
Comment 248 Patrick 2012-03-22 08:25:27 EDT
loading pcb (pcb-0.20110918-3.fc16.x86_64)

backtrace_rating: 4
Package: mail-notification-5.4-48.fc16
OS Release: Fedora release 16 (Verne)
Comment 249 Patrick 2012-03-22 08:25:45 EDT
Created attachment 571979 [details]
File: backtrace
Comment 250 Szabo Akos 2012-04-06 07:02:12 EDT
Come back from sleep. Net went, net came, mail-notification crash

backtrace_rating: 4
Package: mail-notification-5.4-48.fc16
OS Release: Fedora release 16 (Verne)
Comment 251 Szabo Akos 2012-04-06 07:02:33 EDT
Created attachment 575705 [details]
File: backtrace
Comment 252 Dmitry Butskoy 2012-04-09 07:53:00 EDT
*** Bug 810621 has been marked as a duplicate of this bug. ***
Comment 253 Caio Cezar Zapater de Souza 2012-06-12 13:19:03 EDT
I terminated the gnome 3 session and this error appeared.

backtrace_rating: 4
Package: mail-notification-5.4-55.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 254 Dmitry Butskoy 2012-06-13 09:21:36 EDT
*** Bug 831524 has been marked as a duplicate of this bug. ***
Comment 255 Dmitry Butskoy 2012-06-26 08:16:50 EDT
*** Bug 835458 has been marked as a duplicate of this bug. ***
Comment 256 Dmitry Butskoy 2012-07-31 06:14:15 EDT
*** Bug 844053 has been marked as a duplicate of this bug. ***
Comment 257 Dmitry Butskoy 2012-08-13 07:40:00 EDT
*** Bug 847543 has been marked as a duplicate of this bug. ***
Comment 258 Fedora End Of Life 2012-08-16 18:31:42 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 259 Dmitry Butskoy 2012-10-15 08:27:11 EDT
*** Bug 866179 has been marked as a duplicate of this bug. ***
Comment 260 Dmitry Butskoy 2012-10-26 11:45:10 EDT
*** Bug 870444 has been marked as a duplicate of this bug. ***
Comment 261 Dmitry Butskoy 2012-11-19 07:48:23 EST
*** Bug 877702 has been marked as a duplicate of this bug. ***
Comment 262 Dmitry Butskoy 2012-11-26 08:28:15 EST
*** Bug 879746 has been marked as a duplicate of this bug. ***
Comment 263 Dmitry Butskoy 2012-12-24 07:19:57 EST
*** Bug 889990 has been marked as a duplicate of this bug. ***
Comment 264 Dmitry Butskoy 2013-01-14 07:23:18 EST
*** Bug 894963 has been marked as a duplicate of this bug. ***
Comment 265 Dmitry Butskoy 2013-02-04 10:38:00 EST
*** Bug 907510 has been marked as a duplicate of this bug. ***
Comment 266 Dmitry Butskoy 2013-04-22 08:38:29 EDT

*** This bug has been marked as a duplicate of bug 954656 ***

Note You need to log in before you can comment on or make changes to this bug.